﻿Imports System.Data.OleDb
Imports System.Data
Imports C1.Web.Wijmo.Controls.C1GridView

Partial Class _Default
    Inherits System.Web.UI.Page


    Protected Sub C1GridView1_DataBound(sender As Object, e As System.EventArgs) Handles C1GridView1.DataBound
        Dim Row As C1GridViewRow
        Dim SelectedValue As String = ViewState("SelectedValue")
        If SelectedValue Is Nothing Then
            Return
        End If

        ' Determine if the selected row is visible and re-select it
        For Each Row In C1GridView1.Rows
            Dim KeyValue As String = C1GridView1.DataKeys(Row.RowIndex).Value
            If (KeyValue = SelectedValue) Then
                C1GridView1.SelectedIndex = Row.RowIndex
            End If
        Next
    End Sub

    Protected Sub C1GridView1_SelectedIndexChanged(sender As Object, e As System.EventArgs) Handles C1GridView1.SelectedIndexChanged
        ' Save selected index
        If (Not C1GridView1.SelectedIndex = -1) Then
            ViewState("SelectedValue") = C1GridView1.SelectedValue
        End If

    End Sub


    Protected Sub C1GridView1_Sorting(sender As Object, e As C1.Web.Wijmo.Controls.C1GridView.C1GridViewSortEventArgs) Handles C1GridView1.Sorting
        ' Reset selected index
        C1GridView1.SelectedIndex = -1
    End Sub

    Protected Sub C1GridView1_Filtering(sender As Object, e As C1.Web.Wijmo.Controls.C1GridView.C1GridViewFilterEventArgs) Handles C1GridView1.Filtering
        ' Reset selected index
        C1GridView1.SelectedIndex = -1
    End Sub
End Class
